searchData={"items":[{"type":"module","title":"Expect","doc":"`Expect` allows you to write simple, clear assertions in your unit tests.\n\n  While initially this may appear to be a simple case of style, over time\n  you will find that these assertions read better, simplify your tests, \n  and allow you to write tests that more clearly reveal their intent.\n\n  Instead of writing the following...\n\n  `assert name == \"Douglas Adams\"`\n\n  you can write...\n\n  `expect(name) |> to_equal(\"Douglas Adams\")`\n\n  See the documentation on `Expect.Matchers` for more examples of matchers to use.","ref":"Expect.html"},{"type":"function","title":"Expect.expect/1","doc":"Take a given value and prepare it to be matched against one or more matchers.\n\n  Example:\n\n  expect(42) |> to_equal(42)\n\n  # raises an error\n  expect(42) |> to_equal(\"the answer to life, the universe, and everything\")","ref":"Expect.html#expect/1"},{"type":"module","title":"Expect.Matchers","doc":"","ref":"Expect.Matchers.html"},{"type":"function","title":"Expect.Matchers.to_be_empty/1","doc":"Verifies that `expected` is an empty list, map, or tuple","ref":"Expect.Matchers.html#to_be_empty/1"},{"type":"function","title":"Expect.Matchers.to_be_truthy/1","doc":"Verifies that `expected` is a falsy value -- either `nil` or `false`","ref":"Expect.Matchers.html#to_be_truthy/1"},{"type":"function","title":"Expect.Matchers.to_contain/2","doc":"Verifies that the provided `value` is in the list `expected`","ref":"Expect.Matchers.html#to_contain/2"},{"type":"function","title":"Expect.Matchers.to_equal/3","doc":"Verifies that `expected` is equal to `value`","ref":"Expect.Matchers.html#to_equal/3"},{"type":"function","title":"Expect.Matchers.to_match_regex/2","doc":"Matches `expected` against the provided regular expression using `Regex.match?`","ref":"Expect.Matchers.html#to_match_regex/2"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}